#ifndef DBSE_FACTORY_H
#define DBSE_FACTORY_H

#include <klibloader.h>
class TDEInstance;
class TDEAboutData;

class DbSeFactory : public KLibFactory
{
	TQ_OBJECT
  
public:
	DbSeFactory( TQObject *parent=0, const char *name=0);
	~DbSeFactory();

	virtual TQObject *createObject( TQObject *parent=0, const char *name=0,
	                               const char *classname="TQObject",
	                               const TQStringList &args = TQStringList());

	static TDEInstance *instance();

private: 
	static TDEInstance *s_instance;
	static TDEAboutData *s_about;
};

#endif
